import { createVNode, normalizeStyle, normalizeClass } from 'vue';
import { a3 as genericComponent, aT as provideDefaults, bh as useRender, aS as propsFactory, aE as makeTagProps, ar as makeComponentProps } from './server.mjs';

const makeVCardActionsProps = propsFactory({
  ...makeComponentProps(),
  ...makeTagProps()
}, "VCardActions");
const VCardActions = genericComponent()({
  name: "VCardActions",
  props: makeVCardActionsProps(),
  setup(props, _ref) {
    let {
      slots
    } = _ref;
    provideDefaults({
      VBtn: {
        slim: true,
        variant: "text"
      }
    });
    useRender(() => createVNode(props.tag, {
      "class": normalizeClass(["v-card-actions", props.class]),
      "style": normalizeStyle(props.style)
    }, slots));
    return {};
  }
});

export { VCardActions as V };
